=== debian/changelog ===
mender-cli (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #920435)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 25 Jan 2019 13:21:23 +0100
