## mender-cli 1.2.0

=== debian/changelog ===
mender-cli (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0

 -- Lluis Campos <lluis.campos@northern.tech>  Fri, 20 Sep 2019 09:47:20 +0200
