=== debian/control ===
Source: mender-cli
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-howeyc-gopass-dev,
               golang-github-mendersoftware-mendertesting-dev,
               golang-github-pkg-errors-dev,
               golang-github-spf13-cobra-dev,
               golang-gopkg-cheggaaa-pb.v1-dev
Standards-Version: 4.2.1
Homepage: https://github.com/mendersoftware/mender-cli
Vcs-Browser: https://salsa.debian.org/go-team/packages/mender-cli
Vcs-Git: https://salsa.debian.org/go-team/packages/mender-cli.git
XS-Go-Import-Path: github.com/mendersoftware/mender-cli
Testsuite: autopkgtest-pkg-go

Package: mender-cli
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: general-purpose CLI for the Mender backend
 Mender is an open source over-the-air (OTA) software updater
 for embedded Linux devices. Mender comprises a client running at the
 embedded device, as well as a server that manages deployments across
 many devices.
 .
 This package contains a standalone tool that makes it
 much easier to work with the Mender server management APIs
 (https://docs.mender.io/apis/management-apis).
 .
 The goal with mender-cli is to simplify integration between the Mender
 server and cloud services like continuous integration (CI)/build
 automation.
