=== debian/changelog ===
mender-cli (1.3.0-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream version 1.3.0

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 08 Mar 2020 20:12:15 +0100
