=== debian/changelog ===
mender-cli (1.4.0-1) unstable; urgency=medium

  [ Lluis Campos ]
  * Remove dependency golang-github-mendersoftware-mendertesting-dev

  [ Andreas Henriksson ]
  * New upstream version 1.4.0
  * Update patches to apply again

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 27 Jul 2020 12:11:52 +0200
