=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
                dh-golang,
                golang-any,
                golang-github-howeyc-gopass-dev,
-               golang-github-mendersoftware-mendertesting-dev,
                golang-github-pkg-errors-dev,
                golang-github-spf13-cobra-dev,
                golang-gopkg-cheggaaa-pb.v1-dev
