=== debian/changelog ===
mender-cli (1.7.0+ds1-2) unstable; urgency=medium

  * Release to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 17 Jan 2022 19:58:09 +0100

mender-cli (1.7.0+ds1-1) experimental; urgency=medium

  * debian/watch: Mangle to use +ds1 suffix
  * New upstream version 1.7.0+ds1
  * Change build-deps to use cheggaaa-pb.v3
  * Drop obsolete debian/patches
  * Add new build-deps needed by new release
    - golang-github-google-uuid-dev
    - golang-github-gorilla-websocket-dev
    - golang-github-mendersoftware-go-lib-micro-dev
    - golang-gopkg-vmihailenco-msgpack.v2-dev

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 06 Dec 2021 10:48:33 +0100
