=== debian/control ===
--- 
+++ 
@@ -7,9 +7,13 @@
                dh-golang,
                golang-any,
                golang-github-howeyc-gopass-dev,
+               golang-github-mendersoftware-go-lib-micro-dev,
                golang-github-pkg-errors-dev,
                golang-github-spf13-cobra-dev,
-               golang-gopkg-cheggaaa-pb.v1-dev
+               golang-github-cheggaaa-pb.v3-dev,
+               golang-github-google-uuid-dev,
+               golang-github-gorilla-websocket-dev,
+               golang-gopkg-vmihailenco-msgpack.v2-dev,
 Standards-Version: 4.2.1
 Homepage: https://github.com/mendersoftware/mender-cli
 Vcs-Browser: https://salsa.debian.org/go-team/packages/mender-cli
