## mender-cli 1.7.1+ds1

=== debian/changelog ===
mender-cli (1.7.1+ds1-1ubuntu0.1) kinetic-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 13 Feb 2023 19:33:30 +0100

mender-cli (1.7.1+ds1-1) unstable; urgency=medium

  * debian/watch: Fix typo
  * debian/watch: strip -buildX suffixes from release tags
  * New upstream version 1.7.1+ds1

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 05 Apr 2022 15:35:01 +0200
