## mender-cli 1.9.0%2Bds1

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: mender-cli
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-howeyc-gopass-dev,
@@ -14,7 +15,7 @@
                golang-github-google-uuid-dev,
                golang-github-gorilla-websocket-dev,
                golang-gopkg-vmihailenco-msgpack.v2-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/mendersoftware/mender-cli
 Vcs-Browser: https://salsa.debian.org/go-team/packages/mender-cli
 Vcs-Git: https://salsa.debian.org/go-team/packages/mender-cli.git
