=== debian/changelog ===
mender-cli (1.9.0+ds1-1) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.
  * Declare policy 4.6.0 compliance
  * New upstream version 1.9.0+ds1

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 16 Oct 2022 18:58:24 +0200
