=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mender-cli
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
