## mender-cli 1.12.0

=== debian/changelog ===
mender-cli (1.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Build-dep mender-{artifact,openssl,progressbar}

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 05 Jan 2025 19:10:42 +0100
