=== debian/control ===
--- 
+++ 
@@ -13,6 +13,9 @@
                golang-github-cheggaaa-pb.v3-dev,
                golang-github-google-uuid-dev,
                golang-github-gorilla-websocket-dev,
+               golang-github-mendersoftware-mender-artifact-dev,
+               golang-github-mendersoftware-openssl-dev,
+               golang-github-mendersoftware-progressbar-dev,
                golang-gopkg-vmihailenco-msgpack.v2-dev,
 Standards-Version: 4.6.0
 Homepage: https://github.com/mendersoftware/mender-cli
