## mender-cli 1.13.0~git20250721.8e13be0

=== debian/changelog ===
mender-cli (1.13.0~git20250721.8e13be0-1+ubuntu+jammy+builder1955504759) experimental; urgency=medium

  * Release 1.13.0~git20250721.8e13be0-1+ubuntu+jammy+builder1955504759.
    See online docs for complete changelog

 -- root <root@ac777979a66e>  Tue, 29 Jul 2025 20:14:12 +0000
