## mender-cli 1.13.0~git20250804.524a65b

=== debian/changelog ===
mender-cli (1.13.0~git20250804.524a65b-1+ubuntu+noble+builder2007416661) experimental; urgency=medium

  * Release 1.13.0~git20250804.524a65b-1+ubuntu+noble+builder2007416661.
    See online docs for complete changelog

 -- root <root@38584424034b>  Wed, 27 Aug 2025 20:14:51 +0000
