## mender-cli 1.13.0~git20250828.056a447

=== debian/changelog ===
mender-cli (1.13.0~git20250828.056a447-1+ubuntu+noble+builder2013969177) experimental; urgency=medium

  * Release 1.13.0~git20250828.056a447-1+ubuntu+noble+builder2013969177.
    See online docs for complete changelog

 -- root <root@53f03fe7be35>  Sun, 31 Aug 2025 20:18:12 +0000
