## mender-cli 1.13.0~git20250901.c666ba0

=== debian/changelog ===
mender-cli (1.13.0~git20250901.c666ba0-1+ubuntu+noble+builder2015827311) experimental; urgency=medium

  * Release 1.13.0~git20250901.c666ba0-1+ubuntu+noble+builder2015827311.
    See online docs for complete changelog

 -- root <root@58108be509e4>  Mon, 01 Sep 2025 20:19:13 +0000
