=== debian/changelog ===
mender-cli (1.13.0~git20250902.10b0896-1+ubuntu+noble+builder2018025178) experimental; urgency=medium

  * Release 1.13.0~git20250902.10b0896-1+ubuntu+noble+builder2018025178.
    See online docs for complete changelog

 -- root <root@e32016b28647>  Tue, 02 Sep 2025 20:17:17 +0000
