## mender-cli 1.13.0~git20250903.228f05f

=== debian/changelog ===
mender-cli (1.13.0~git20250903.228f05f-1+ubuntu+noble+builder2063602335) experimental; urgency=medium

  * Release 1.13.0~git20250903.228f05f-1+ubuntu+noble+builder2063602335.
    See online docs for complete changelog

 -- root <root@1891442037b2>  Thu, 25 Sep 2025 20:22:11 +0000
