## mender-cli 1.13.0~git20250926.fa3e947

=== Makefile ===
--- 
+++ 
@@ -79,10 +79,10 @@
 	$(GO) test $(BUILDV) $(PKGS)
 
 build-acceptance:
-	docker compose -f tests/docker-compose.yml build acceptance $(BUILDFLAGS)
+	docker compose -f tests/acceptance/docker-compose.yml build acceptance $(BUILDFLAGS)
 
 run-acceptance:
-	docker compose -f tests/docker-compose.yml run acceptance
+	docker compose -f tests/acceptance/docker-compose.yml run acceptance
 
 test-static:
 	echo "-- checking for dead code"
