=== mender_server/backend/services/useradm/Makefile ===
COMPONENT := useradm

include ../Makefile.common
