=== mender_server/backend/services/deviceconfig/tests/requirements.txt ===
pytest >= 6.1.2
pymongo >= 3.11

# Requirements generated by openapi-generator
certifi >= 14.05.14
future; python_version<="2.7"
six >= 1.10
python_dateutil >= 2.5.3
setuptools >= 21.0.0
urllib3 >= 1.15.1

requests >= 2.25.1
chardet >= 4.0.0
idna >= 2.10
