=== mender_server/backend/services/deviceconnect/tests/requirements.txt ===
pytest >= 6.1.2
pymongo >= 3.11
msgpack >= 1.0
websocket_client >= 0.57

# Requirements generated by openapi-generator
certifi >= 14.05.14
future; python_version<="2.7"
six >= 1.10
python_dateutil >= 2.5.3
setuptools >= 21.0.0
urllib3 >= 1.15.1
