=== mender_server/backend/services/iot-manager/tests/requirements.txt ===
pymongo >= 3.11

# Requirements generated by openapi-generator
certifi >= 14.05.14
future; python_version<="2.7"
six >= 1.10
python_dateutil >= 2.5.3
setuptools >= 21.0.0
urllib3 >= 1.15.1

docker == 7.1.0
requests == 2.32.5
chardet >= 4.0.0
idna >= 2.10
