=== debian/changelog ===
mender-cli (1.13.0~git20250926.fa3e947-1+ubuntu+noble+builder2069921556) experimental; urgency=medium

  * Release 1.13.0~git20250926.fa3e947-1+ubuntu+noble+builder2069921556.
    See online docs for complete changelog

 -- root <root@9fb9b2cd77a6>  Mon, 29 Sep 2025 14:54:25 +0000
