## mender-cli 1.13.0~git20250929.7558e26

=== integration/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile --cert=None --client-cert=None --index-url=None --pip-args=None requirements.in
#
py3dns==4.0.2
    # via -r requirements.in
