=== mender_server/backend/services/create-artifact-worker/Makefile ===
COMPONENT := create-artifact-worker

_no_include_acceptance_tests := true

.PHONY: test-acceptance-run test-acceptance

include ../Makefile.common
