=== mender_server/backend/services/inventory/Makefile ===
COMPONENT := inventory

include ../Makefile.common
