=== mender_server/backend/services/workflows/Makefile ===
COMPONENT := workflows

include ../Makefile.common
