=== mender_server/backend/services/reporting/tests/requirements.txt ===
opensearch-py >= 2.0.0, < 4.0.0

# Requirements generated by openapi-generator
certifi >= 14.05.14
future; python_version<="2.7"
six >= 1.10
python_dateutil >= 2.5.3
setuptools >= 21.0.0
urllib3 >= 1.15.1

requests >= 2.25.1
chardet >= 4.0.0
idna >= 2.10
