=== debian/changelog ===
mender-cli (1.13.0~git20250929.7558e26-1+ubuntu+noble+builder2072824469) experimental; urgency=medium

  * Release 1.13.0~git20250929.7558e26-1+ubuntu+noble+builder2072824469.
    See online docs for complete changelog

 -- root <root@6738c6f169ea>  Tue, 30 Sep 2025 20:23:30 +0000
