## mender-cli 1.13.0~git20251001.ec76983

=== debian/changelog ===
mender-cli (1.13.0~git20251001.ec76983-1+ubuntu+noble+builder2077236201) experimental; urgency=medium

  * Release 1.13.0~git20251001.ec76983-1+ubuntu+noble+builder2077236201.
    See online docs for complete changelog

 -- root <root@932544a14570>  Thu, 02 Oct 2025 20:21:52 +0000
