## mender-cli 1.13.0~git20251003.854b184

=== debian/changelog ===
mender-cli (1.13.0~git20251003.854b184-1+ubuntu+noble+builder2142334790) experimental; urgency=medium

  * Release 1.13.0~git20251003.854b184-1+ubuntu+noble+builder2142334790.
    See online docs for complete changelog

 -- root <root@ae8aa19f2669>  Wed, 05 Nov 2025 20:28:40 +0000
