## mender-cli 1.13.0~git20251106.1b976f6

=== debian/changelog ===
mender-cli (1.13.0~git20251106.1b976f6-1+ubuntu+noble+builder2147822331) experimental; urgency=medium

  * Release 1.13.0~git20251106.1b976f6-1+ubuntu+noble+builder2147822331.
    See online docs for complete changelog

 -- root <root@5771516697c9>  Sat, 08 Nov 2025 20:29:42 +0000
