## mender-cli 1.13.0~git20251110.a12abb6

=== debian/changelog ===
mender-cli (1.13.0~git20251110.a12abb6-1+ubuntu+noble+builder2163625634) experimental; urgency=medium

  * Release 1.13.0~git20251110.a12abb6-1+ubuntu+noble+builder2163625634.
    See online docs for complete changelog

 -- root <root@5da5e4eee23c>  Mon, 17 Nov 2025 20:32:18 +0000
