## mender-cli 2.0.0

=== debian/changelog ===
mender-cli (2.0.0-1+ubuntu+noble) stable; urgency=medium

  * Release 2.0.0-1+ubuntu+noble. See online docs for complete changelog

 -- root <root@e19cf6a1adde>  Tue, 18 Nov 2025 09:50:40 +0000
