## mender-cli 2.1.0~git20251118.4b05f34

=== debian/changelog ===
mender-cli (2.1.0~git20251118.4b05f34-1+ubuntu+noble+builder2200024284) experimental; urgency=medium

  * Release 2.1.0~git20251118.4b05f34-1+ubuntu+noble+builder2200024284.
    See online docs for complete changelog

 -- root <root@0bccfe5ff97e>  Sat, 06 Dec 2025 20:30:01 +0000
