## mender-cli 2.1.0~git20251208.658bbc2

=== debian/changelog ===
mender-cli (2.1.0~git20251208.658bbc2-1+ubuntu+noble+builder2220830645) experimental; urgency=medium

  * Release 2.1.0~git20251208.658bbc2-1+ubuntu+noble+builder2220830645.
    See online docs for complete changelog

 -- root <root@4ff3bccea19b>  Wed, 17 Dec 2025 20:30:33 +0000
