## mender-cli 2.1.0~git20251218.0efffe6

=== debian/changelog ===
mender-cli (2.1.0~git20251218.0efffe6-1+debian+trixie+builder2223060572) experimental; urgency=medium

  * Release 2.1.0~git20251218.0efffe6-1+debian+trixie+builder2223060572.
    See online docs for complete changelog

 -- root <root@25f55712c20f>  Thu, 18 Dec 2025 20:28:10 +0000
