## mender-cli 2.1.0~git20251219.f9b2182

=== debian/changelog ===
mender-cli (2.1.0~git20251219.f9b2182-1+ubuntu+noble+builder2241044353) experimental; urgency=medium

  * Release 2.1.0~git20251219.f9b2182-1+ubuntu+noble+builder2241044353.
    See online docs for complete changelog

 -- root <root@ef714f016798>  Thu, 01 Jan 2026 20:27:49 +0000
