## mender-cli 2.1.0~git20260102.bf3691a

=== debian/changelog ===
mender-cli (2.1.0~git20260102.bf3691a-1+ubuntu+noble+builder2256632661) experimental; urgency=medium

  * Release 2.1.0~git20260102.bf3691a-1+ubuntu+noble+builder2256632661.
    See online docs for complete changelog

 -- root <root@eec47518c535>  Sun, 11 Jan 2026 20:39:13 +0000
