## mender-cli 2.1.0~git20260112.6d01dc4

=== debian/changelog ===
mender-cli (2.1.0~git20260112.6d01dc4-1+ubuntu+noble+builder2277394286) experimental; urgency=medium

  * Release 2.1.0~git20260112.6d01dc4-1+ubuntu+noble+builder2277394286.
    See online docs for complete changelog

 -- root <root@70a9562e985e>  Wed, 21 Jan 2026 20:31:37 +0000
