## mender-cli 2.1.0~git20260123.2a1e56c

=== debian/changelog ===
mender-cli (2.1.0~git20260123.2a1e56c-1+ubuntu+noble+builder2294923236) experimental; urgency=medium

  * Release 2.1.0~git20260123.2a1e56c-1+ubuntu+noble+builder2294923236.
    See online docs for complete changelog

 -- root <root@d5ecef735add>  Thu, 29 Jan 2026 20:09:20 +0000
