## mender-cli 2.1.0~git20260130.97ec169

=== debian/changelog ===
mender-cli (2.1.0~git20260130.97ec169-1+ubuntu+noble+builder2299314977) experimental; urgency=medium

  * Release 2.1.0~git20260130.97ec169-1+ubuntu+noble+builder2299314977.
    See online docs for complete changelog

 -- root <root@ecd89c34c2a2>  Sun, 01 Feb 2026 20:17:21 +0000
