=== debian/changelog ===
mender-cli (2.1.0~git20260202.59131bd-1+ubuntu+noble+builder2303778094) experimental; urgency=medium

  * Release 2.1.0~git20260202.59131bd-1+ubuntu+noble+builder2303778094.
    See online docs for complete changelog

 -- root <root@2a31a04561e1>  Tue, 03 Feb 2026 20:31:02 +0000
