## mender-cli 2.1.0~git20260204.d4c6b87

=== debian/changelog ===
mender-cli (2.1.0~git20260204.d4c6b87-1+ubuntu+noble+builder2306317847) experimental; urgency=medium

  * Release 2.1.0~git20260204.d4c6b87-1+ubuntu+noble+builder2306317847.
    See online docs for complete changelog

 -- root <root@337b05673aab>  Wed, 04 Feb 2026 20:16:43 +0000
