## mender-cli 2.1.0~git20260205.d22890e

=== debian/changelog ===
mender-cli (2.1.0~git20260205.d22890e-1+ubuntu+noble+builder2308767998) experimental; urgency=medium

  * Release 2.1.0~git20260205.d22890e-1+ubuntu+noble+builder2308767998.
    See online docs for complete changelog

 -- root <root@289cc458a03a>  Thu, 05 Feb 2026 20:14:17 +0000
