## mender-cli 2.1.0~git20260206.f816073

=== debian/changelog ===
mender-cli (2.1.0~git20260206.f816073-1+ubuntu+noble+builder2327349554) experimental; urgency=medium

  * Release 2.1.0~git20260206.f816073-1+ubuntu+noble+builder2327349554.
    See online docs for complete changelog

 -- root <root@382cf4cef7ec>  Sun, 15 Feb 2026 20:17:58 +0000
